summaryrefslogtreecommitdiff
path: root/sys-power
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-01 06:59:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-01 06:59:07 +0000
commitd8ecf180f6d1a41cde23e78dd6a90fca9309fd76 (patch)
tree7c20cf0c148a0855dc5f07f2b3e95bace5cee7a6 /sys-power
parente709146bfe0a78864c489db0165a0156151b5b7a (diff)
downloadbaldeagleos-repo-d8ecf180f6d1a41cde23e78dd6a90fca9309fd76.tar.gz
baldeagleos-repo-d8ecf180f6d1a41cde23e78dd6a90fca9309fd76.tar.xz
baldeagleos-repo-d8ecf180f6d1a41cde23e78dd6a90fca9309fd76.zip
Adding metadata
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/autosuspend/Manifest1
-rw-r--r--sys-power/autosuspend/autosuspend-7.2.0.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/sys-power/autosuspend/Manifest b/sys-power/autosuspend/Manifest
index 4b00a2015b39..be510df248a0 100644
--- a/sys-power/autosuspend/Manifest
+++ b/sys-power/autosuspend/Manifest
@@ -1 +1,2 @@
DIST autosuspend-5.0.0.gh.tar.gz 179353 BLAKE2B 747f06ea84304acfeca78aa413745c56a63506be039696968e94a43199ee9e4cfa080b187b284a60e16e03bd22674973eaa7ed4728727016a05de12aca94fc9e SHA512 4d1d14e2cc8c7dc7ed1bfa41556ea8afe51785cef3965863fe307469a13f865b76df9a53c531aefef18308a2d57867631d86d59ea189cc56a108f1bdeaf4d369
+DIST autosuspend-7.2.0.gh.tar.gz 172910 BLAKE2B 81d411196ed0953cd9aff13c52c2ad3111a861fdbc7563cd534223c7b4c04c194fce44557eebf0cef8d0a6c94f1518eb9dfcf4e43220d8aae7b0beac1783c628 SHA512 7c8dd7afec4eca6b70f7800e3a94a89d461d836e5e725376fc2ded2b4bd2ec2335bf8ceeffe83f9db513703358a5f03e258f69e9a6a92874071996f84cf7857f
diff --git a/sys-power/autosuspend/autosuspend-7.2.0.ebuild b/sys-power/autosuspend/autosuspend-7.2.0.ebuild
new file mode 100644
index 000000000000..ea9b9a90211b
--- /dev/null
+++ b/sys-power/autosuspend/autosuspend-7.2.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A daemon to automatically suspend and wake up a system"
+HOMEPAGE="
+ https://github.com/languitar/autosuspend
+ https://autosuspend.readthedocs.io
+"
+SRC_URI="
+ https://github.com/languitar/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="dbus mpd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/portalocker[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+ mpd? ( dev-python/python-mpd2[${PYTHON_USEDEP}] )
+"
+
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/icalendar[${PYTHON_USEDEP}]
+ dev-python/jsonpath-ng[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+ dev-python/pytest-datadir[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dbusmock[${PYTHON_USEDEP}]
+ dev-python/python-mpd2[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ tests/test_checks_util.py::TestNetworkMixin::test_file_url
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source \
+ dev-python/furo \
+ dev-python/recommonmark \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-issues \
+ dev-python/sphinxcontrib-plantuml
+
+python_test() {
+ # Disable code coverage in tests by setting addopts to the empty value.
+ epytest -o addopts=
+}
+
+src_install() {
+ distutils-r1_src_install
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}